This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 538741 - xset led 3 does not work
xset led 3 does not work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
14
i386 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-19 04:37 EST by Eduard Vopicka
Modified: 2011-08-02 16:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-02 16:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduard Vopicka 2009-11-19 04:37:12 EST
Description of problem:

'xset led 3' and 'xset -led 3'


Version-Release number of selected component (if applicable):

[root@v5218c3 REST]# rpm -qf `which xset`
xorg-x11-server-utils-7.4-13.fc12.i686
[root@v5218c3 REST]# 


How reproducible:

Always.


Steps to Reproduce:

Just issue 'xset led 3' and 'xset -led' and warth the LED.

  
Actual results:

LED state (on/off) not changed.


Expected results:

LED state should change accordingly to the command issued.


Additional info:

Bad results observed on Dell Optiplex 745 PC, Dell Latitude D630 notebook and on home-made P4 CPU and Intel mobo based PC.
Comment 1 Matěj Cepl 2010-10-06 12:11:51 EDT
Can easily reproduce on Fedora 14.
Comment 2 Eduard Vopicka 2010-10-06 12:38:29 EDT
Hello.

So now I am really amazed.

It works well with up-to-date F13 for a while, I am using it on daily basis in shell script performing keyboard layout switching for fvwm.

So the bug has been re-introduced in F14? This does not sound well to me...

Brgds,

Ed
Comment 3 Eduard Vopicka 2010-10-06 12:41:18 EDT
#!/bin/bash

case "$KbdLayout" in
        us|"")
echo "Exec setxkbmap -model pc105 -layout cz -variant qwerty"
echo "Exec xset led 3"
echo "SetEnv KbdLayout cz-qwerty"
        ;;
        cz-qwerty|*)
echo "Exec setxkbmap -model pc105 -layout us"
echo "Exec xset -led 3"
echo "SetEnv KbdLayout us"
#echo "us<" >>/tmp/kbd.log
        ;;
esac

exit 0

Note You need to log in before you can comment on or make changes to this bug.